petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCPARMSSetSolveRestart

Sets the number of iterations at which the inner GMRES solver restarts.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetSolveRestart(PC pc,PetscInt restart)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| restart | - maximum dimension of the Krylov subspace

### Options Database Keys

-pc_parms_max_dim -sets the inner Krylov dimension

### Notes

See the pARMS function parms_PCSetInnerKSize for more information.

### See Also

PCPARMS, PCPARMSSetSolveTolerances()

### Level

intermediate

### Location

src/ksp/pc/impls/parms/parms.c

### Implementations

PCPARMSSetSolveRestart_PARMS in src/ksp/pc/impls/parms/parms.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages